<ion-header>
  <ion-toolbar mode="ios" class="header-page" color="light">
    <ion-buttons slot="start">
      <ion-button (click)="closeModal()">
        <ion-icon slot="icon-only" name="close"></ion-icon>
      </ion-button>
    </ion-buttons>
    <ion-title slot="start">Viết nhận xét</ion-title>
  </ion-toolbar>
</ion-header>
<ion-content>
  <ion-grid fixed class="ion-no-padding">
    <ion-list class="create-rating-container" *ngIf="dataRating">
      <ion-item lines="full" class="ion-margin-bottom">
        <ion-thumbnail slot="start">
          <img class="img-radius" lazy-loading-image [src]='urlHinhDaiDien' />
        </ion-thumbnail>
        <ion-label>
          <h3><b>{{commonMethodsTs.getData(dataTinDang, "TieuDe", this.lbl.noneUpdate)}}</b> <i>
              {{labelBanDaDanhGia}}</i></h3>
          <p>
            {{commonMethodsTs.getData(dataTinDang, "Gia", this.lbl.noneUpdate)|shortcurrency:true}}
          </p>
        </ion-label>
      </ion-item>
      <ion-item lines="none">
        <ion-label class="ion-text-center">
          <p>Đánh giá của bạn</p>
          <ion-rating #starRating (starClickChange)="startOnClick($event)" class="five-start" size="large"
            [(ngModel)]="data.rate" space="around">
          </ion-rating>
        </ion-label>
      </ion-item>
      <ion-item lines="none">
        <ion-label class="ion-text-center">
          <p>Viết đánh giá</p>
        </ion-label>
      </ion-item>
      <ion-item>
        <ck-editor #ckDangTin class="ck-dangtin ck-danhgia" [ngClass]="{'ck-empty':
                        (!data.content)}" [config]="configCkDanhGia" [(ngModel)]="data.content">
        </ck-editor>
      </ion-item>
    </ion-list>

    <div *ngIf="!dataRating">
      <ion-item lines="none">
        <ion-avatar slot="start">
          <ion-skeleton-text class="skeleton-thumb" animated style="width: 100%;"></ion-skeleton-text>
        </ion-avatar>
        <ion-label>
          <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <ion-item lines="none">
        <ion-label>
          <ion-skeleton-text animated style="width: 100%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 50%"></ion-skeleton-text>
          <ion-skeleton-text animated style="width: 40%"></ion-skeleton-text>
        </ion-label>
      </ion-item>
      <ion-skeleton-text class="ion-no-margin skeleton-thumb" animated style="width: 100%;"></ion-skeleton-text>
    </div>


    <div class="fixed-bottom-container">
      <ion-button color="secondary" expand="block" (click)="sendRating()" [disabled]="!data.rate || !data.content">
        Gửi đánh giá
      </ion-button>
    </div>
  </ion-grid>
</ion-content>